com.tableau.hyperapi

## Class HyperException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.tableau.hyperapi.HyperException

- All Implemented Interfaces:
    java.io.Serializable

      public final class HyperException
      extends java.lang.RuntimeException

  Defines a `RuntimeException` object that is thrown on failure by the functions in the Hyper API Java library. `HyperException` is an unchecked exception.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HyperException.ContextId` A context id.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `HyperException` | `getCause()` Returns the cause of the exception (if any).
    `HyperException.ContextId` | `getContextId()` Returns the context id.
    `java.lang.String` | `getErrorMessage()` Deprecated. Use getMainMessage() instead. This function will be removed in the future.
    `java.lang.String` | `getHint()` Returns the hint message that was stored in the exception object.
    `java.lang.String` | `getMainMessage()` Returns the message that was stored in the exception object.
    `java.lang.String` | `getMessage()` Returns a detailed message string of this throwable.
    `java.lang.String` | `getSqlState()` EXPERIMENTAL

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getCause

          public HyperException getCause()

      Returns the cause of the exception (if any).
      Overrides:
        `getCause` in class `java.lang.Throwable`
      Returns:
        The cause, `null` if no cause.

    - #### getMainMessage

          public java.lang.String getMainMessage()

      Returns the message that was stored in the exception object.

      Note that error messages may change in the future versions of the library.

      Returns:
        The message.

    - #### getErrorMessage

          @Deprecated
          public java.lang.String getErrorMessage()

      Deprecated. Use getMainMessage() instead. This function will be removed in the future.
      Returns the message that was stored in the exception object.

      Note that error messages may change in the future versions of the library.

      Returns:
        The message.

    - #### getHint

          public java.lang.String getHint()

      Returns the hint message that was stored in the exception object.
      Returns:
        The hint message.

    - #### getMessage

          public java.lang.String getMessage()

      Returns a detailed message string of this throwable.

      This string contains message, hint and the context id of the error and of all of its causes.

      Overrides:
        `getMessage` in class `java.lang.Throwable`
      Returns:
        The detailed message.

    - #### getContextId

          public HyperException.ContextId getContextId()

      Returns the context id.
      Returns:
        the context id.

    - #### getSqlState

          public java.lang.String getSqlState()

      EXPERIMENTAL

      Return the SQL state associated with the error.

      Returns:
        The SQL state